﻿$ErrorActionPreference = 'Stop';

$packageName  = 'urbackup-client'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = ''

$pp = Get-PackageParameters
if (!$pp.TrayIcon){ 
	$pp.TrayIcon = 'False' 
	$UrExe = 'https://hndl.urbackup.org/Client/2.3.4/UrBackup%20Client%20NoTray%202.3.4.exe'
	$ChkSum = 'E4812AF76707927C581B3F90FDD7D1DB2BFF155A3A02AC00C12200814B1D8C75'
}
if ($pp.TrayIcon -eq 'False'){
	$UrExe = 'https://hndl.urbackup.org/Client/2.3.4/UrBackup%20Client%20NoTray%202.3.4.exe'
	$ChkSum = 'E4812AF76707927C581B3F90FDD7D1DB2BFF155A3A02AC00C12200814B1D8C75'
}
if ($pp.TrayIcon -eq 'True'){
	$UrExe = 'https://hndl.urbackup.org/Client/2.3.4/UrBackup%20Client%202.3.4.exe'
	$ChkSum = '2FFCA0A1A60938F7C183998B33B4769982B525953BE1347D201A21A240294170'
}

#Based on Nsis
$packageArgs = @{
  packageName   = $packageName
  softwareName  = 'urbackup-client*'
  fileType      = 'exe'
  silentArgs    = "/S"
  validExitCodes= @(0)
  url           = $UrExe
  checksum      = $ChkSum
  checksumType  = 'sha256'
  url64bit      = ""
  checksum64    = ''
  checksumType64= 'sha256'
  destination   = $toolsDir
  #installDir   = "" # passed when you want to override install directory - requires licensed editions 1.9.0+
}

Install-ChocolateyPackage @packageArgs

